Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn._1_0.protocol
Class PersonHistoryAddressReply

    java.lang.Object
      be.fgov.ehealth.commons._1_0.protocol.ResponseType
          be.fgov.ehealth.consultrn._1_0.protocol.ConsultRnReplyType
              be.fgov.ehealth.consultrn._1_0.protocol.PersonHistoryAddressReply

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:38:57+02:00",
               comments="JAXB RI v2.2.11")
    public class PersonHistoryAddressReply

extends ConsultRnReplyType
implements Serializable

reply of service PersonHistory

Java class for PersonHistoryAddressReplyType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PersonHistoryAddressReplyType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:consultRN:1_0:protocol}ConsultRnReplyType">
           <sequence>
             <element name="SSIN" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="AddressHistory" type="{urn:be:fgov:ehealth:consultRN:1_0:core}AddressHistoryType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`PersonHistoryAddressReply()`

Method Summary
`List<AddressHistoryType>` | `getAddressHistories()` Gets the value of the addressHistories property.
`String` | `getSSIN()` Gets the value of the ssin property.
`void` | `setSSIN(String value)` Sets the value of the ssin property.

Methods inherited from class be.fgov.ehealth.consultrn._1_0.protocol.ConsultRnReplyType
`getErrorInformations`

Methods inherited from class be.fgov.ehealth.commons._1_0.protocol.ResponseType
`getId, getStatus, setId, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersonHistoryAddressReply

    public PersonHistoryAddressReply()

Method Detail

### getSSIN

    public String getSSIN()

  Gets the value of the ssin property.

  Returns:
    possible object is `String`

### setSSIN

    public void setSSIN(String value)

  Sets the value of the ssin property.

  Parameters:
    `value` - allowed object is `String`

### getAddressHistories

    public List<AddressHistoryType> getAddressHistories()

  Gets the value of the addressHistories property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the addressHistories property.

  For example, to add a new item, do as follows:

          getAddressHistories().add(newItem);

  Objects of the following type(s) are allowed in the list `AddressHistoryType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.